[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TMasterDataLink.Fields

List of fields as specified in FieldNames

## Declaration

Source position: db.pas line 1475

`public property TMasterDataLink.Fields: TList read FFields;`

## Description

Fields is filled with the TField instances from the master dataset (TDatalink.Dataset) when the FieldNames property is set, and when the master dataset opens.

## See also

TField |  | Provide access to the contents of a single field in a record
TMasterDatalink.FieldNames |  | List of fieldnames that make up the master-detail relationship

The latest version of this document can be found at lazarus-ccr.sourceforge.net .